Summary:   Czech recoding module for Apache WWW server
Name:      mod_csacek
Version:   2.1.9
Release:   1
Copyright: GPL
Source:    http://www.csacek.cz/distrib/csacek-%{version}.tar.bz2
Group:     System Environment/Daemons
URL:	   http://www.csacek.cz
Requires:  webserver
Requires:  zlib
PreReq: grep gawk
BuildRoot: /var/tmp/csacek-root 
Packager: Milan Kerslager <kerslage@linux.cz>

%description 
Module for on-fly encoding changing among various Czech character encodings.
If your Apache WWW server serves in Czech language, use this module.

%prep
%setup -q -n csacek-%{version}

%build
autoconf configure.in > configure
chmod a+x configure
./configure --with-target=Apache \
            --with-templatedir=/var/www/html/csacek \
            --with-apxs
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 -s mod_csacek.so $RPM_BUILD_ROOT/usr/lib/apache

%clean
rm -rf $RPM_BUILD_ROOT

%post
DEBUG=0
SLEEP=1
TMP=/tmp/csacek-install
HTCONF=/etc/httpd/conf/httpd.conf
if [ -f $TMP ]; then
  echo "mod_csacek nebyl (re)aktivovan, protoze existuje" 1>&2
  echo "$TMP (potencialni nebezpeci tmp-exploit)." 1>&2
else
  if [ ! -f $HTCONF ]; then
    echo "Chyba aktivace mod_csacek: soubor $HTCONF nenalezen." 1>&2
  else
    if grep -qi mod_csacek.so $HTCONF; then
      echo "mod_csacek jiz je v $HTCONF uveden." 1>&2
    else
      echo "Pridavam mod_csacek do $HTCONF ..." 1>&2
      awk 'BEGIN {
            inpos = 0;
          }
          {
          # zachytili jsme retezec HAVE_SSL
          if (inpos == 1) {
            if ($0 ~ /LoadModule ssl_module/) {
              print "# mod_csacek should be there *before* SSL module";
              print "<IfDefine HAVE_CSACEK>";
              print "LoadModule csacek_module\tmodules/mod_csacek.so";
              print "</IfDefine>";
            }
            if ($0 ~ /AddModule mod_ssl.c/) {
              print "<IfDefine HAVE_CSACEK>";
              print "AddModule mod_csacek.c";
              print "</IfDefine>";
            }
            print "<IfDefine HAVE_SSL>";
            inpos = 0;
          }
          if ($0 == "<IfDefine HAVE_SSL>") {
            inpos = 1;
          } else {
            print $0;
          }
        }' $HTCONF > $TMP
      if ! egrep -qi "^[[:blank:]]*<[[:blank:]]*ifmodule[[:blank:]]+mod_csacek" $HTCONF; then
        echo "<IfModule mod_csacek.c>" >>$HTCONF
        echo "    csacekEngine on" >> $HTCONF
        echo "    csacekDefaultCharset iso-8859-2" >> $HTCONF
        echo "</IfModule>" >>$HTCONF
      fi
      mv -f $HTCONF $HTCONF.orig
      mv -f $TMP $HTCONF
      echo "... hotovo, nezapomente restartovat Apache." 1>&2
    fi
  fi
fi

%files 
%defattr(-,root,root)
/usr/lib/apache/mod_csacek.so
%doc README CHANGES COPYING INSTALL doc templates

%changelog
* Tue Jun 11 2002 Milan Kerslager <kerslage@linux.cz>
- updated to csacek-2.1.9
- rebuild for 7.3
- scripts for auto-update httpd.conf changed to utilize DHAVE_* feature
  (conditional loading of modules, no need to remove them)
- post script rewritten to AWK
- DOCS moved to /usr/share/doc

* Sun May 13 2001 Milan Kerslager <kerslage@linux.cz>
- updated to csacek-2.1.6
- patch for APXS removed, PreReq for perl, sed and grep added
- cestina.html is now integral part of mod_csacek and is
  under the directory /var/www/html/csacek
- rebuild for 7.1

* Thu Nov 16 2000 Ivo Panacek <ivop@regionet.cz>
- build under RedHat 7.0
  so docs moved to /var/www/html

* Fri Nov 03 2000 Ivo Panacek <ivop@regionet.cz>
- uprava skriptu post (mate radi Perl ?)

* Mon Oct 16 2000 Ivo Panacek <ivop@regionet.cz>
- kompilace proti Apache 1.3.14
- pridan testovaci soubor cestina.html
- uprava pro preklad s apxs
- patch konfiguracnich souboru Apache pri instalaci a pred odinstalovanim
  (vypujceno z mod_php4)
- mirne vylepsene popisky (Summary, Group a description)

* Tue Apr 11 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- verze 2.1.4 a kompilace na Apache 3.0.12 s podporou EAPI

* Thu Mar 23 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- patch na chybu pri stahovani dokumentu

* Wed Mar 01 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- zdrojova verze 2.1.3 
- uprava volani configure skriptu podle nove verze
- zmenen nazev SPEC souboru

* Thu Jan 27 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- zdrojova verze 2.1.2

* Sun Dec 05 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- zdrojova verze 2.1.1 a oprava na Makefile.in

* Mon Oct 25 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- pridany patche pro verzi 2.1.0

* Fri Sep 24 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- upraveno pro verzi 2.1.0

* Mon Sep 21 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- prvni zverejnena RPM verze, byl jsem prvni :)

